<?xml version='1.0' encoding='utf-8'?>

<!--
 %W% %E%
 Copyright (c) %G% Sun Microsystems, Inc. All Rights Reserved.
-->

<!-- DTD for task types -->

<!ELEMENT tasks (type*)>
    <!ELEMENT type (editor+, ACL+, command*)>
        <!ATTLIST type
            ID			CDATA 	    #REQUIRED
            name	        NMTOKENS    #REQUIRED
        >
    <!ELEMENT editor EMPTY>
        <!ATTLIST editor
            presentation        CDATA       #REQUIRED
            class               NMTOKEN     #REQUIRED
        >
    <!ELEMENT ACL EMPTY>
        <!ATTLIST ACL
            operation           (edit | delete | execute) #REQUIRED
            allowUser           CDATA     #REQUIRED
            allowGroup          CDATA     #REQUIRED
            denyUser            CDATA     #IMPLIED
            denyGroup           CDATA     #IMPLIED
        >
    <!ELEMENT command EMPTY>
        <!ATTLIST command
            name	        NMTOKENS    #REQUIRED
            class               NMTOKEN     #REQUIRED
            errorClass          NMTOKEN     #IMPLIED
        >